Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.datatransfer
Interface FlavorMap

All Known Subinterfaces:
  FlavorTable

All Known Implementing Classes:
  SystemFlavorMap

public interface FlavorMap

A two-way Map between "natives" (Strings), which correspond to platform- specfic data formats, and "flavors" (DataFlavors), which corerspond to platform-independent MIME types. FlavorMaps need not be symmetric, but typically are.

Since:
  1.2

Method Summary
`Map` | `getFlavorsForNatives(String[] natives)` Returns a `Map` of the specified `String` natives to their corresponding `DataFlavor`.
`Map` | `getNativesForFlavors(DataFlavor[] flavors)` Returns a `Map` of the specified `DataFlavor`s to their corresponding `String` native.

Method Detail

### getNativesForFlavors

    public Map getNativesForFlavors(DataFlavor[] flavors)

  Returns a `Map` of the specified `DataFlavor`s to their corresponding `String` native. The returned `Map` is a modifiable copy of this `FlavorMap`'s internal data. Client code is free to modify the `Map` without affecting this object.

  Parameters:
    `flavors` - an array of `DataFlavor`s which will be the key set of the returned `Map`. If `null` is specified, a mapping of all `DataFlavor`s currently known to this `FlavorMap` to their corresponding `String` natives will be returned.
  Returns:
    a `java.util.Map` of `DataFlavor`s to `String` natives

### getFlavorsForNatives

    public Map getFlavorsForNatives(String[] natives)

  Returns a `Map` of the specified `String` natives to their corresponding `DataFlavor`. The returned `Map` is a modifiable copy of this `FlavorMap`'s internal data. Client code is free to modify the `Map` without affecting this object.

  Parameters:
    `natives` - an array of `String`s which will be the key set of the returned `Map`. If `null` is specified, a mapping of all `String` natives currently known to this `FlavorMap` to their corresponding `DataFlavor`s will be returned.
  Returns:
    a `java.util.Map` of `String` natives to `DataFlavor`s

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.